Edgewall Software
Modify

Opened 11 years ago

Closed 11 years ago

Last modified 11 years ago

#7710 closed defect (invalid)

Error Getting !WikiFormatting and !TracLinks pages: Trac[main] WARNING: 500 Internal Error (Multiple revisions found for '1')

Reported by: claudesebjean@… Owned by:
Priority: normal Milestone:
Component: wiki system Version: 0.10.5
Severity: normal Keywords: needinfo
Cc: Branch:
Release Notes:
API Changes:

Description

When getting wiki pages WikiFormatting or TracLinks, an error apears on screen and I can't get the page. It happens every time

It used to work but stopped working (I guess when I upgraded to v0.10.5).

As far as I can tell, there is only 1 version of this page in the DB:

select name, version from wiki where name in ( 'WikiFormatting', 'TracLinks');
name|version
TracLinks|1
WikiFormatting|1

Error log:

...
2008-10-11 21:33:53,577 Trac[main] WARNING: 500 Internal Error (Multiple revisions found for '1')
2008-10-11 21:44:01,345 Trac[main] WARNING: 500 Internal Error (Multiple revisions found for '1')
2008-10-12 09:44:26,738 Trac[main] WARNING: 500 Internal Error (Multiple revisions found for '1')
2008-10-12 09:44:36,590 Trac[main] WARNING: 500 Internal Error (Multiple revisions found for '1')
...

I am using:

Trac 0.10.5 on gentoo Python 2.4.4 (#1, Jun 22 2008, 13:00:32) sqlite-3.5.6

Attachments (0)

Change History (3)

comment:1 by Remy Blank, 11 years ago

Keywords: needinfo added

I can't find the text "Multiple revisions" anywhere in the Trac sources for 0.10.5 (neither in 0.11-stable for that matter).

Do you have any plugins installed? Try disabling them all, and see if the problem persists.

comment:2 by claudesebjean@…, 11 years ago

Resolution: invalid
Status: newclosed

AHa!

The problem seems to be with the TracMonotone plugin.

When it is enabled and both repository_dir and repository_type=mtn variables are set in trac.ini, the errors appears.

Thanks for your response and sorry for submitting this ticket at the wrong place.

Cheers!

[I have resolved the ticket as invalid]

comment:3 by claudesebjean@…, 11 years ago

A ticket has been opened at the tracmtn site.

http://tracmtn.1erlei.de/ticket/12

The address is submitted as text because "spam" alert won't allow me to submit it as a link.

Claude.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The ticket will remain with no owner.
The resolution will be deleted.
to The owner will be changed from (none) to the specified user.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.